# Configuration for systemwide password quality limits
# Defaults:
#
# Number of characters in the new password that must not be present in the
# old password.
difok = <%= @password_min_diff.to_s %>
#
# Minimum acceptable size for the new password (plus one if
# credits are not disabled which is the default). (See pam_cracklib manual.)
# Cannot be set to lower value than 6.
minlen = <%= @password_min_len.to_s %>

# The maximum credit for having other characters in the new password.
# If less than 0 it is the minimum number of other characters in the new
# password.
ocredit = <%= @password_special_ch.to_s %>
#
# The minimum number of required classes of characters for the new
# password (digits, uppercase, lowercase, others).
minclass = <%= @password_min_classes.to_s %>
#
# The maximum number of allowed consecutive same characters in the new password.
# The check is disabled if the value is 0.
maxrepeat = 4
#
# The maximum number of allowed consecutive characters of the same class in the
# new password.
# The check is disabled if the value is 0.
#maxclassrepeat = 0
#
# Whether to check for the words from the passwd entry GECOS string of the user.
# The check is enabled if the value is not 0.
gecoscheck = 1
#
# Path to the cracklib dictionaries. Default is to use the cracklib default.
# dictpath =

# Per CCE-CCE-27214-6: Set dcredit = -1 in /etc/security/pwquality.conf
dcredit = -1

# Per CCE-CCE-27200-5: Set ucredit = -1 in /etc/security/pwquality.conf
ucredit = -1

# Per CCE-CCE-27345-8: Set lcredit = -1 in /etc/security/pwquality.conf
lcredit = -1
